--- src/3rdparty/javascriptcore/JavaScriptCore/runtime/Collector.cpp	2015-05-07 22:14:48
+++ src/3rdparty/javascriptcore/JavaScriptCore/runtime/Collector.cpp	2024-11-25 15:33:02
@@ -859,6 +859,8 @@
 typedef ppc_thread_state64_t PlatformThreadRegisters;
 #elif CPU(ARM)
 typedef arm_thread_state_t PlatformThreadRegisters;
+#elif CPU(ARM64)
+typedef arm_thread_state64_t PlatformThreadRegisters;
 #else
 #error Unknown Architecture
 #endif
@@ -888,6 +890,9 @@
 #elif CPU(ARM)
     unsigned user_count = ARM_THREAD_STATE_COUNT;
     thread_state_flavor_t flavor = ARM_THREAD_STATE;
+#elif CPU(ARM64)
+    unsigned user_count = ARM_THREAD_STATE64_COUNT;
+    thread_state_flavor_t flavor = ARM_THREAD_STATE64;
 #else
 #error Unknown Architecture
 #endif
@@ -922,7 +927,7 @@
     return reinterpret_cast<void*>(regs.__rsp);
 #elif CPU(PPC) || CPU(PPC64)
     return reinterpret_cast<void*>(regs.__r1);
-#elif CPU(ARM)
+#elif CPU(ARM) || CPU(ARM64)
     return reinterpret_cast<void*>(regs.__sp);
 #else
 #error Unknown Architecture

--- src/3rdparty/webkit/Source/JavaScriptCore/heap/MachineStackMarker.cpp	2015-05-07 22:14:45
+++ src/3rdparty/webkit/Source/JavaScriptCore/heap/MachineStackMarker.cpp	2024-11-25 15:31:19
@@ -329,6 +329,8 @@
 typedef ppc_thread_state64_t PlatformThreadRegisters;
 #elif CPU(ARM)
 typedef arm_thread_state_t PlatformThreadRegisters;
+#elif CPU(ARM64)
+typedef arm_thread_state64_t PlatformThreadRegisters;
 #else
 #error Unknown Architecture
 #endif
@@ -360,6 +362,9 @@
 #elif CPU(ARM)
     unsigned user_count = ARM_THREAD_STATE_COUNT;
     thread_state_flavor_t flavor = ARM_THREAD_STATE;
+#elif CPU(ARM64)
+    unsigned user_count = ARM_THREAD_STATE64_COUNT;
+    thread_state_flavor_t flavor = ARM_THREAD_STATE64;
 #else
 #error Unknown Architecture
 #endif
@@ -404,7 +409,7 @@
     return reinterpret_cast<void*>(regs.__rsp);
 #elif CPU(PPC) || CPU(PPC64)
     return reinterpret_cast<void*>(regs.__r1);
-#elif CPU(ARM)
+#elif CPU(ARM) || CPU(ARM64)
     return reinterpret_cast<void*>(regs.__sp);
 #else
 #error Unknown Architecture
